# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Aug  1 08:24:21 2023
# ------------------------------------------------

package:
  name: numba
  version: 0.57.1
source:
  patches: null
  sha256: 3fa256ab0da922b9339711b9909201d02db41c3d31ba9b259d27b68eb3d3083c
  url: https://github.com/numba/numba/archive/0.57.1.tar.gz
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - libllvm14 >=14.0.6,<14.1.0a0
  number: '0'
  script:
    - export CC="${CC} -pthread"
    - export CXX="${CXX} -pthread"
    - /croot/numba_1690878282973/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
      -m pip install . --no-deps  --no-build-isolation --ignore-installed -vvv
  string: py38hfb1e5ee_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - blas 1.0 openblas
    - ca-certificates 2023.05.30 hd43f75c_0
    - importlib-metadata 6.0.0 py38hd43f75c_0
    - importlib_metadata 6.0.0 hd3eb1b0_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h6e398d7_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libllvm14 14.0.6 hb8fdbf2_3
    - libopenblas 0.3.21 hc2e42e2_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - llvmlite 0.40.0 py38h94b7715_0
    - ncurses 6.4 h419075a_0
    - numpy 1.21.5 py38h8708280_3
    - numpy-base 1.21.5 py38h4a83355_3
    - openssl 3.0.9 h2f4d8fa_0
    - pip 23.2.1 py38hd43f75c_0
    - python 3.8.17 h4bb2201_0
    - readline 8.2 h998d150_0
    - setuptools 68.0.0 py38hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tbb 2021.8.0 hb8fdbf2_0
    - tbb-devel 2021.8.0 hb8fdbf2_0
    - tk 8.6.12 h241ca14_0
    - wheel 0.38.4 py38hd43f75c_0
    - xz 5.4.2 h998d150_0
    - zipp 3.11.0 py38hd43f75c_0
    - zlib 1.2.13 h998d150_0
  run:
    - _openmp_mutex >=5.1
    - importlib_metadata
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - llvmlite >=0.40.0,<0.41.0a0
    - numpy >=1.21,!=1.22.0,!=1.22.1,!=1.22.2,<1.25
    - python >=3.8,<3.9.0a0
    - tbb >=2021.8.0
  run_constrained:
    - cuda-python >=11.6
    - cudatoolkit >=10.2
    - scipy >=1.0
    - tbb >=2021.6,<2022
test:
  imports:
    - numba
    - numba.core.annotations
    - numba.core.datamodel
    - numba.core.rewrites
    - numba.core.runtime
    - numba.core.typeconv
    - numba.core.typing
    - numba.core.unsafe
    - numba.cuda
    - numba.cuda.cudadrv
    - numba.cuda.kernels
    - numba.cuda.simulator
    - numba.cuda.simulator.cudadrv
    - numba.cuda.tests
    - numba.cuda.tests.cudadrv
    - numba.cuda.tests.cudapy
    - numba.cuda.tests.cudasim
    - numba.cuda.tests.data
    - numba.cuda.tests.nocuda
    - numba.experimental.jitclass
    - numba.np.ufunc
    - numba.pycc
    - numba.scripts
    - numba.testing
    - numba.tests
    - numba.tests.npyufunc
  requires:
    - cffi
    - gcc_linux-aarch64 11.2.0.*
    - gxx_linux-aarch64 11.2.0.*
    - ipykernel
    - ipython
    - jinja2
    - pexpect
    - pip
    - pygments
    - scipy
    - setuptools
    - tbb >=2021.0, <2022
    - wheel
about:
  description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

    sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

    infrastructure to compile Python syntax to machine code."

    '
  dev_url: https://github.com/numba/numba
  doc_source_url: https://github.com/numba/numba/tree/0.57.1/docs
  home: https://numba.pydata.org
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: NumPy aware dynamic Python compiler using LLVM
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2bef9025-256e-431f-8648-ce2a3d3d6503
  recipe-maintainers:
    - henryiii
    - jakirkham
    - marcelotrevisani
    - mbargull
    - souravsingh
    - step21
  remote_url: git@github.com:AnacondaRecipes/numba-feedstock.git
  sha: dbca7b43210ce2d155024f2f0b51824b99b55c00
